import type { GridLayerOptions } from 'leaflet';
import 'leaflet.gridlayer.googlemutant';
export declare type GoogleMapTypes = 'satellite' | 'terrain' | 'hybrid' | 'roadmap';
export interface GoogleMutantProps extends GridLayerOptions {
    type: GoogleMapTypes;
    /** The mutant container will add its own attribution anyways. */
    attribution?: string;
    continuousWorld?: boolean;
}
/**
 * Uses the GoogleMutant Leaflet plugin to create a googlemaps layer
 * Requires the Google Maps JS API to be loaded as a script tag.
 *
 * All options are immutable once the layer has loaded
 *
 * Docs for L.GridLayer.GoogleMutant https://gitlab.com/IvanSanchez/Leaflet.GridLayer.GoogleMutant
 */
declare function GoogleMutant(props: GoogleMutantProps): null;
export default GoogleMutant;
